module Shacho
  class Runner
    class << self
      def run!(*args)
        options = parse_options(args)
        delegate_command(options)
        return 0
      end

      def parse_options(args)
        options = {}
        value = args.shift
        if COMMANDS.include?(value)
          options["action"] = value
        else
          error "Run shacho help for usage"
        end
        options["params"] = args
        return options
      end

      def error(message)
        raise RuntimeError, message
      end

      # TODO include active support?
      def delegate_command(options)
        if options["action"] == "help"
          Shacho::Util.help
        else
          Shacho::Account.send(options["action"], options["params"])
        end
      end
    end
  end
end
